package com.jjt.inventory.service;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 库存管理接口
 *
 * @author wukai
 * @date 2025-01-16
 */
public interface IInventoryService {
    /**
     * 按小时库存数据
     */
    void hour();

    /**
     * 指定时间库存数据
     *
     * @param start 开始
     * @param end   结束
     */
    void calc(LocalDateTime start, LocalDateTime end);

    /**
     * 按天库存数据
     *
     * @param localDate 时间
     */
    void day(LocalDate localDate);
}
